# Enemy
Date: 2016-09-10

dungeon

## Class Enemy

- java.lang.Object
- - dungeon.Enemy

    public class Enemy
    extends java.lang.Object

Stores information about enemies

### Constructor Summary

Constructors
Constructor and Description
`Enemy(Dungeon.Type type)` Constructs a new random enemy in a given type of room

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Enemy

    public Enemy(Dungeon.Type type)

Constructs a new random enemy in a given type of room

Parameters:
  `type` - type of environment

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`